Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 4451)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 4452)
@@ -8640,12 +8643,12 @@
       INTEGER(iwp), DIMENSION(2)             ::  dimnext      !< next dimension increments along path
       INTEGER(iwp), DIMENSION(2)             ::  dimdelta     !< dimension direction = +- 1
-      INTEGER(iwp)                           ::  px, py       !< number of processors in x and y dir before 
+      INTEGER(iwp)                           ::  px, py       !< number of processors in x and y dir before
                                                               !< the processor in the question
       INTEGER(iwp)                           ::  ip           !< number of processor where gridbox reside
       INTEGER(iwp)                           ::  ig           !< 1D index of gridbox in global 2D array
       INTEGER(iwp)                           ::  maxboxes     !< max no of CSF created
-      INTEGER(iwp)                           ::  nly          !< maximum  plant canopy height 
+      INTEGER(iwp)                           ::  nly          !< maximum  plant canopy height
       INTEGER(iwp)                           ::  ntrack
-      
+
       INTEGER(iwp)                           ::  zb0
       INTEGER(iwp)                           ::  zb1
@@ -8661,5 +8664,5 @@
       INTEGER(MPI_ADDRESS_KIND)              ::  wdisp        !< RMA window displacement
 #endif
-      
+
       REAL(wp)                               ::  eps = 1E-10_wp !< epsilon for value comparison
       REAL(wp)                               ::  zbottom, ztop !< urban surface boundary in real numbers
@@ -8669,7 +8672,7 @@
       REAL(wp)                               ::  dxxyy         !< square of real horizontal distance
       REAL(wp)                               ::  curtrans      !< transparency of current PC box crossing
-      
-
-      
+
+
+
       yxorigin(:) = origin(2:3)
       transparency(:) = 1._wp !-- Pre-set the all rays to transparent before reducing
@@ -8816,5 +8819,5 @@
       IF ( plant_canopy )  THEN
 !--      Request LAD WHERE applicable
-!--      
+!--
 #if defined( __parallel )
          IF ( raytrace_mpi_rma )  THEN
@@ -8898,7 +8901,7 @@
             ENDIF
          ENDDO
-         
+
          DEALLOCATE( target_surfl )
-         
+
       ELSE
          itarget(:) = -1
@@ -8907,5 +8910,5 @@
       IF ( plant_canopy )  THEN
 !--      Skip the PCB around origin if requested (for MRT, the PCB might not be there)
-!--      
+!--
          IF ( skip_1st_pcb  .AND.  NINT(origin(1)) <= plantt_max )  THEN
             rt2_track_lad(NINT(origin(1), iwp), 1) = 0._wp
@@ -8913,5 +8916,5 @@
 
 !--      Assert that we have space allocated for CSFs
-!--      
+!--
          maxboxes = (ntrack + MAX(CEILING(origin(1)-.5_wp) - nz_urban_b,          &
                                   nz_urban_t - CEILING(origin(1)-.5_wp))) * nrays
@@ -8926,10 +8929,10 @@
 
 !--      Calculate transparencies and store new CSFs
-!--      
+!--
          zbottom = REAL(nz_urban_b, wp) - .5_wp
          ztop = REAL(plantt_max, wp) + .5_wp
 
 !--      Reverse direction of radiation (face->sky), only when calc_svf
-!--      
+!--
          IF ( calc_svf )  THEN
             DO  i = 1, ntrack ! for each column
@@ -9002,5 +9005,5 @@
 
 !--      Forward direction of radiation (sky->face), always
-!--      
+!--
          DO  i = ntrack, 1, -1 ! for each column backwards
             dxxyy = ((dy*yxdir(1))**2 + (dx*yxdir(2))**2) * (rt2_track_dist(i)-rt2_track_dist(i-1))**2
@@ -9107,5 +9110,5 @@
 
    END SUBROUTINE raytrace_2d
- 
+
 
 !------------------------------------------------------------------------------!
@@ -9132,5 +9135,5 @@
       ndsidir = 0
       sun_direction = .TRUE.
-      
+
 !
 !--   Process spinup time if configured
@@ -9176,5 +9179,5 @@
          CALL calc_zenith( day_of_year, second_of_day )
          IF ( cos_zenith > 0 )  THEN
-!--         
+!--
 !--         Identify solar direction vector (discretized number) 1)
             i = MODULO(NINT(ATAN2(sun_dir_lon, sun_dir_lat)               &
@@ -9210,5 +9213,5 @@
         IMPLICIT NONE
         INTEGER(iwp),   INTENT(in)  :: x, y, z, d, x2, y2, z2, d2
-      
+
         surface_facing = .FALSE.
 
@@ -9255,5 +9258,5 @@
 
         surface_facing = .TRUE.
-        
+
     END FUNCTION surface_facing
 
@@ -9270,7 +9273,7 @@
 
        IMPLICIT NONE
-       
+
        CHARACTER(rad_version_len)   :: rad_version_field
-       
+
        INTEGER(iwp)                 :: i
        INTEGER(iwp)                 :: ndsidir_from_file = 0
@@ -9296,12 +9299,12 @@
                                               'that has written the svf data ',&
                                               'and the one that will read it ',&
-                                              'is not allowed' 
+                                              'is not allowed'
                    CALL message( 'check_open', 'PA0491', 1, 2, 0, 6, 0 )
                 ENDIF
 
              ENDIF
-              
-!
-!--          Open binary file 
+
+!
+!--          Open binary file
              CALL check_open( 88 )
 
@@ -9315,10 +9318,10 @@
                  CALL message( 'radiation_read_svf', 'PA0482', 1, 2, 0, 6, 0 )
              ENDIF
-              
+
 !
 !--          read nsvfl, ncsfl, nsurfl, nmrtf
              READ ( 88 ) nsvfl, ncsfl, nsurfl_from_file, npcbl_from_file,      &
                          ndsidir_from_file, nmrtbl_from_file, nmrtf
-             
+
              IF ( nsvfl < 0  .OR.  ncsfl < 0 )  THEN
                  WRITE( message_string, * ) 'Wrong number of SVF or CSF'
@@ -9330,5 +9333,5 @@
                  IF ( debug_output )  CALL debug_message( debug_string, 'info' )
              ENDIF
-             
+
              IF ( nsurfl_from_file /= nsurfl )  THEN
                  WRITE( message_string, * ) 'nsurfl from SVF file does not ',  &
@@ -9337,5 +9340,5 @@
                  CALL message( 'radiation_read_svf', 'PA0490', 1, 2, 0, 6, 0 )
              ENDIF
-             
+
              IF ( npcbl_from_file /= npcbl )  THEN
                  WRITE( message_string, * ) 'npcbl from SVF file does not ',   &
@@ -9344,5 +9347,5 @@
                  CALL message( 'radiation_read_svf', 'PA0493', 1, 2, 0, 6, 0 )
              ENDIF
-             
+
              IF ( ndsidir_from_file /= ndsidir )  THEN
                  WRITE( message_string, * ) 'ndsidir from SVF file does not ', &
@@ -9360,23 +9363,23 @@
                  IF ( debug_output )  CALL debug_message( debug_string, 'info' )
              ENDIF
-              
-!
-!--          Arrays skyvf, skyvft, dsitrans and dsitransc are allready 
-!--          allocated in radiation_interaction_init and 
+
+!
+!--          Arrays skyvf, skyvft, dsitrans and dsitransc are allready
+!--          allocated in radiation_interaction_init and
 !--          radiation_presimulate_solar_pos
              IF ( nsurfl > 0 )  THEN
                 READ(88) skyvf
                 READ(88) skyvft
-                READ(88) dsitrans  
+                READ(88) dsitrans
              ENDIF
-              
+
              IF ( plant_canopy  .AND.  npcbl > 0 ) THEN
                 READ ( 88 )  dsitransc
              ENDIF
-             
-!
-!--          The allocation of svf, svfsurf, csf, csfsurf, mrtf, mrtft, and 
-!--          mrtfsurf happens in routine radiation_calc_svf which is not 
-!--          called if the program enters radiation_read_svf. Therefore 
+
+!
+!--          The allocation of svf, svfsurf, csf, csfsurf, mrtf, mrtft, and
+!--          mrtfsurf happens in routine radiation_calc_svf which is not
+!--          called if the program enters radiation_read_svf. Therefore
 !--          these arrays has to allocate in the following
              IF ( nsvfl > 0 )  THEN
@@ -9408,9 +9411,9 @@
                 READ(88) mrtfsurf
              ENDIF
-              
-!
-!--          Close binary file                 
+
+!
+!--          Close binary file
              CALL close_file( 88 )
-                
+
           ENDIF
 #if defined( __parallel )
@@ -9436,5 +9439,5 @@
 
        IMPLICIT NONE
-       
+
        INTEGER(iwp)        :: i
 
@@ -9445,5 +9448,5 @@
           IF ( i == io_group )  THEN
 !
-!--          Open binary file 
+!--          Open binary file
              CALL check_open( 89 )
 
@@ -9473,9 +9476,9 @@
              IF ( nmrtf > 0 )  THEN
                  WRITE ( 89 )  mrtf
-                 WRITE ( 89 )  mrtft                
+                 WRITE ( 89 )  mrtft
                  WRITE ( 89 )  mrtfsurf
              ENDIF
 !
-!--          Close binary file                 
+!--          Close binary file
              CALL close_file( 89 )
 
@@ -9627,5 +9630,5 @@
     END SUBROUTINE quicksort_csf
 
-    
+
 !------------------------------------------------------------------------------!
 !
@@ -9712,5 +9715,5 @@
     END SUBROUTINE merge_and_grow_csf
 
-    
+
 !-- quicksort.f -*-f90-*-
 !-- Author: t-nissie, adaptation J.Resler
@@ -9746,5 +9749,5 @@
         IF ( j+1 < last )  CALL quicksort_csf2(kpcsflt, pcsflt, j+1, last)
     END SUBROUTINE quicksort_csf2
-    
+
 
     PURE FUNCTION csf_lt2(item1, item2) result(res)
@@ -9781,5 +9784,5 @@
 !------------------------------------------------------------------------------!
 SUBROUTINE radiation_3d_data_averaging( mode, variable )
- 
+
 
     USE control_parameters
@@ -9791,13 +9794,13 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  mode    !< 
-    CHARACTER (LEN=*) :: variable !< 
+    CHARACTER (LEN=*) ::  mode    !<
+    CHARACTER (LEN=*) :: variable !<
 
     LOGICAL      ::  match_lsm !< flag indicating natural-type surface
     LOGICAL      ::  match_usm !< flag indicating urban-type surface
-    
-    INTEGER(iwp) ::  i !< 
-    INTEGER(iwp) ::  j !< 
-    INTEGER(iwp) ::  k !< 
+
+    INTEGER(iwp) ::  i !<
+    INTEGER(iwp) ::  j !<
+    INTEGER(iwp) ::  k !<
     INTEGER(iwp) ::  l, m !< index of current surface element
 
@@ -9835,5 +9838,5 @@
                 ENDIF
                 rad_net_av = 0.0_wp
-             
+
              CASE ( 'rad_lw_in*' )
                 IF ( .NOT. ALLOCATED( rad_lw_in_xy_av ) )  THEN
@@ -9841,5 +9844,5 @@
                 ENDIF
                 rad_lw_in_xy_av = 0.0_wp
-                
+
              CASE ( 'rad_lw_out*' )
                 IF ( .NOT. ALLOCATED( rad_lw_out_xy_av ) )  THEN
@@ -9847,5 +9850,5 @@
                 ENDIF
                 rad_lw_out_xy_av = 0.0_wp
-                
+
              CASE ( 'rad_sw_in*' )
                 IF ( .NOT. ALLOCATED( rad_sw_in_xy_av ) )  THEN
@@ -9853,10 +9856,10 @@
                 ENDIF
                 rad_sw_in_xy_av = 0.0_wp
-                
+
              CASE ( 'rad_sw_out*' )
                 IF ( .NOT. ALLOCATED( rad_sw_out_xy_av ) )  THEN
                    ALLOCATE( rad_sw_out_xy_av(nysg:nyng,nxlg:nxrg) )
                 ENDIF
-                rad_sw_out_xy_av = 0.0_wp                
+                rad_sw_out_xy_av = 0.0_wp
 
              CASE ( 'rad_lw_in' )
@@ -10097,5 +10100,5 @@
                 ENDDO
              ENDIF
-             
+
           CASE ( 'rad_lw_out*' )
              IF ( ALLOCATED( rad_lw_out_xy_av ) ) THEN
@@ -10119,5 +10122,5 @@
                 ENDDO
              ENDIF
-             
+
           CASE ( 'rad_sw_in*' )
              IF ( ALLOCATED( rad_sw_in_xy_av ) ) THEN
@@ -10141,5 +10144,5 @@
                 ENDDO
              ENDIF
-             
+
           CASE ( 'rad_sw_out*' )
              IF ( ALLOCATED( rad_sw_out_xy_av ) ) THEN
@@ -10163,5 +10166,5 @@
                 ENDDO
              ENDIF
-             
+
           CASE ( 'rad_lw_in' )
              IF ( ALLOCATED( rad_lw_in_av ) ) THEN
@@ -10418,5 +10421,5 @@
                 ENDDO
              ENDIF
-             
+
           CASE ( 'rad_lw_in*' )
              IF ( ALLOCATED( rad_lw_in_xy_av ) ) THEN
@@ -10428,5 +10431,5 @@
                 ENDDO
              ENDIF
-             
+
           CASE ( 'rad_lw_out*' )
              IF ( ALLOCATED( rad_lw_out_xy_av ) ) THEN
@@ -10438,5 +10441,5 @@
                 ENDDO
              ENDIF
-             
+
           CASE ( 'rad_sw_in*' )
              IF ( ALLOCATED( rad_sw_in_xy_av ) ) THEN
@@ -10448,5 +10451,5 @@
                 ENDDO
              ENDIF
-             
+
           CASE ( 'rad_sw_out*' )
              IF ( ALLOCATED( rad_sw_out_xy_av ) ) THEN
@@ -10702,12 +10705,12 @@
 !------------------------------------------------------------------------------!
 SUBROUTINE radiation_define_netcdf_grid( variable, found, grid_x, grid_y, grid_z )
-    
+
     IMPLICIT NONE
 
     CHARACTER (LEN=*), INTENT(IN)  ::  variable    !<
-    LOGICAL, INTENT(OUT)           ::  found       !< 
-    CHARACTER (LEN=*), INTENT(OUT) ::  grid_x      !< 
-    CHARACTER (LEN=*), INTENT(OUT) ::  grid_y      !< 
-    CHARACTER (LEN=*), INTENT(OUT) ::  grid_z      !< 
+    LOGICAL, INTENT(OUT)           ::  found       !<
+    CHARACTER (LEN=*), INTENT(OUT) ::  grid_x      !<
+    CHARACTER (LEN=*), INTENT(OUT) ::  grid_y      !<
+    CHARACTER (LEN=*), INTENT(OUT) ::  grid_z      !<
 
     CHARACTER (len=varnamelength)  :: var
@@ -10779,5 +10782,5 @@
  SUBROUTINE radiation_data_output_2d( av, variable, found, grid, mode,         &
                                       local_pf, two_d, nzb_do, nzt_do )
- 
+
     USE indices
 
@@ -10787,22 +10790,22 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  grid     !< 
-    CHARACTER (LEN=*) ::  mode     !< 
-    CHARACTER (LEN=*) ::  variable !< 
-
-    INTEGER(iwp) ::  av !< 
-    INTEGER(iwp) ::  i  !< 
-    INTEGER(iwp) ::  j  !< 
-    INTEGER(iwp) ::  k  !< 
+    CHARACTER (LEN=*) ::  grid     !<
+    CHARACTER (LEN=*) ::  mode     !<
+    CHARACTER (LEN=*) ::  variable !<
+
+    INTEGER(iwp) ::  av !<
+    INTEGER(iwp) ::  i  !<
+    INTEGER(iwp) ::  j  !<
+    INTEGER(iwp) ::  k  !<
     INTEGER(iwp) ::  m  !< index of surface element at grid point (j,i)
-    INTEGER(iwp) ::  nzb_do   !< 
-    INTEGER(iwp) ::  nzt_do   !< 
-
-    LOGICAL      ::  found !< 
+    INTEGER(iwp) ::  nzb_do   !<
+    INTEGER(iwp) ::  nzt_do   !<
+
+    LOGICAL      ::  found !<
     LOGICAL      ::  two_d !< flag parameter that indicates 2D variables (horizontal cross sections)
 
     REAL(wp) ::  fill_value = -999.0_wp    !< value for the _FillValue attribute
 
-    REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf !< 
+    REAL(wp), DIMENSION(nxl:nxr,nys:nyn,nzb_do:nzt_do) ::  local_pf !<
 
     found = .TRUE.
@@ -10818,5 +10821,5 @@
 !--                Natural-type surfaces
                    DO  m = surf_lsm_h%start_index(j,i),                        &
-                           surf_lsm_h%end_index(j,i)  
+                           surf_lsm_h%end_index(j,i)
                       local_pf(i,j,nzb+1) = surf_lsm_h%rad_net(m)
                    ENDDO
@@ -10824,5 +10827,5 @@
 !--                Urban-type surfaces
                    DO  m = surf_usm_h%start_index(j,i),                        &
-                           surf_usm_h%end_index(j,i)  
+                           surf_usm_h%end_index(j,i)
                       local_pf(i,j,nzb+1) = surf_usm_h%rad_net(m)
                    ENDDO
@@ -10835,5 +10838,5 @@
              ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = rad_net_av(j,i)
                 ENDDO
@@ -10842,5 +10845,5 @@
           two_d = .TRUE.
           grid = 'zu1'
-          
+
        CASE ( 'rad_lw_in*_xy' )        ! 2d-array
           IF ( av == 0 ) THEN
@@ -10851,5 +10854,5 @@
 !--                Natural-type surfaces
                    DO  m = surf_lsm_h%start_index(j,i),                        &
-                           surf_lsm_h%end_index(j,i)  
+                           surf_lsm_h%end_index(j,i)
                       local_pf(i,j,nzb+1) = surf_lsm_h%rad_lw_in(m)
                    ENDDO
@@ -10857,5 +10860,5 @@
 !--                Urban-type surfaces
                    DO  m = surf_usm_h%start_index(j,i),                        &
-                           surf_usm_h%end_index(j,i)  
+                           surf_usm_h%end_index(j,i)
                       local_pf(i,j,nzb+1) = surf_usm_h%rad_lw_in(m)
                    ENDDO
@@ -10868,5 +10871,5 @@
              ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = rad_lw_in_xy_av(j,i)
                 ENDDO
@@ -10875,5 +10878,5 @@
           two_d = .TRUE.
           grid = 'zu1'
-          
+
        CASE ( 'rad_lw_out*_xy' )        ! 2d-array
           IF ( av == 0 ) THEN
@@ -10884,5 +10887,5 @@
 !--                Natural-type surfaces
                    DO  m = surf_lsm_h%start_index(j,i),                        &
-                           surf_lsm_h%end_index(j,i)  
+                           surf_lsm_h%end_index(j,i)
                       local_pf(i,j,nzb+1) = surf_lsm_h%rad_lw_out(m)
                    ENDDO
@@ -10890,5 +10893,5 @@
 !--                Urban-type surfaces
                    DO  m = surf_usm_h%start_index(j,i),                        &
-                           surf_usm_h%end_index(j,i)  
+                           surf_usm_h%end_index(j,i)
                       local_pf(i,j,nzb+1) = surf_usm_h%rad_lw_out(m)
                    ENDDO
@@ -10901,5 +10904,5 @@
              ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = rad_lw_out_xy_av(j,i)
                 ENDDO
@@ -10908,5 +10911,5 @@
           two_d = .TRUE.
           grid = 'zu1'
-          
+
        CASE ( 'rad_sw_in*_xy' )        ! 2d-array
           IF ( av == 0 ) THEN
@@ -10917,5 +10920,5 @@
 !--                Natural-type surfaces
                    DO  m = surf_lsm_h%start_index(j,i),                        &
-                           surf_lsm_h%end_index(j,i)  
+                           surf_lsm_h%end_index(j,i)
                       local_pf(i,j,nzb+1) = surf_lsm_h%rad_sw_in(m)
                    ENDDO
@@ -10923,5 +10926,5 @@
 !--                Urban-type surfaces
                    DO  m = surf_usm_h%start_index(j,i),                        &
-                           surf_usm_h%end_index(j,i)  
+                           surf_usm_h%end_index(j,i)
                       local_pf(i,j,nzb+1) = surf_usm_h%rad_sw_in(m)
                    ENDDO
@@ -10934,5 +10937,5 @@
              ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = rad_sw_in_xy_av(j,i)
                 ENDDO
@@ -10941,5 +10944,5 @@
           two_d = .TRUE.
           grid = 'zu1'
-          
+
        CASE ( 'rad_sw_out*_xy' )        ! 2d-array
           IF ( av == 0 ) THEN
@@ -10950,5 +10953,5 @@
 !--                Natural-type surfaces
                    DO  m = surf_lsm_h%start_index(j,i),                        &
-                           surf_lsm_h%end_index(j,i)  
+                           surf_lsm_h%end_index(j,i)
                       local_pf(i,j,nzb+1) = surf_lsm_h%rad_sw_out(m)
                    ENDDO
@@ -10956,5 +10959,5 @@
 !--                Urban-type surfaces
                    DO  m = surf_usm_h%start_index(j,i),                        &
-                           surf_usm_h%end_index(j,i)  
+                           surf_usm_h%end_index(j,i)
                       local_pf(i,j,nzb+1) = surf_usm_h%rad_sw_out(m)
                    ENDDO
@@ -10967,5 +10970,5 @@
              ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    local_pf(i,j,nzb+1) = rad_sw_out_xy_av(j,i)
                 ENDDO
@@ -10973,6 +10976,6 @@
           ENDIF
           two_d = .TRUE.
-          grid = 'zu1'          
-          
+          grid = 'zu1'
+
        CASE ( 'rad_lw_in_xy', 'rad_lw_in_xz', 'rad_lw_in_yz' )
           IF ( av == 0 ) THEN
@@ -10990,5 +10993,5 @@
             ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = rad_lw_in_av(k,j,i)
@@ -11014,5 +11017,5 @@
             ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = rad_lw_out_av(k,j,i)
@@ -11020,5 +11023,5 @@
                 ENDDO
              ENDDO
-          ENDIF   
+          ENDIF
           IF ( mode == 'xy' )  grid = 'zu'
 
@@ -11038,5 +11041,5 @@
             ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = rad_lw_cs_hr_av(k,j,i)
@@ -11062,5 +11065,5 @@
             ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = rad_lw_hr_av(k,j,i)
@@ -11086,5 +11089,5 @@
             ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = rad_sw_in_av(k,j,i)
@@ -11110,5 +11113,5 @@
             ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    DO  k = nzb, nzt+1
                       local_pf(i,j,k) = rad_sw_out_av(k,j,i)
@@ -11134,5 +11137,5 @@
             ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = rad_sw_cs_hr_av(k,j,i)
@@ -11158,5 +11161,5 @@
             ENDIF
              DO  i = nxl, nxr
-                DO  j = nys, nyn 
+                DO  j = nys, nyn
                    DO  k = nzb_do, nzt_do
                       local_pf(i,j,k) = rad_sw_hr_av(k,j,i)
@@ -11172,5 +11175,5 @@
 
     END SELECT
- 
+
  END SUBROUTINE radiation_data_output_2d
 
@@ -11183,5 +11186,5 @@
 !------------------------------------------------------------------------------!
  SUBROUTINE radiation_data_output_3d( av, variable, found, local_pf, nzb_do, nzt_do )
- 
+
 
     USE indices
@@ -11192,5 +11195,5 @@
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  variable !< 
+    CHARACTER (LEN=*) ::  variable !<
 
     INTEGER(iwp) ::  av          !<
@@ -11217,5 +11220,5 @@
        RETURN
     ENDIF
-    
+
     IF ( var(1:3) /= 'rad'  .AND.  var(1:3) /= 'rtm' )  THEN
        found = .FALSE.
@@ -11684,9 +11687,9 @@
             ENDIF
          ENDIF
-!         
+!
 !--   block of RTM output variables
 !--   variables are intended mainly for debugging and detailed analyse purposes
       CASE ( 'rtm_skyvf' )
-!      
+!
 !--      sky view factor
          DO isurf = dirstart(ids), dirend(ids)
@@ -11758,22 +11761,22 @@
 !------------------------------------------------------------------------------!
  SUBROUTINE radiation_data_output_mask( av, variable, found, local_pf, mid )
- 
+
     USE control_parameters
-        
+
     USE indices
-    
+
     USE kinds
-    
+
 
     IMPLICIT NONE
 
-    CHARACTER (LEN=*) ::  variable   !< 
+    CHARACTER (LEN=*) ::  variable   !<
 
     CHARACTER(LEN=5) ::  grid        !< flag to distinquish between staggered grids
 
-    INTEGER(iwp) ::  av              !< 
-    INTEGER(iwp) ::  i               !< 
-    INTEGER(iwp) ::  j               !< 
-    INTEGER(iwp) ::  k               !< 
+    INTEGER(iwp) ::  av              !<
+    INTEGER(iwp) ::  i               !<
+    INTEGER(iwp) ::  j               !<
+    INTEGER(iwp) ::  k               !<
     INTEGER(iwp) ::  mid             !< masked output running index
     INTEGER(iwp) ::  topo_top_index  !< k index of highest horizontal surface
@@ -11785,5 +11788,5 @@
     REAL(wp),                                                                  &
        DIMENSION(mask_size_l(mid,1),mask_size_l(mid,2),mask_size_l(mid,3)) ::  &
-          local_pf   !< 
+          local_pf   !<
 
     REAL(wp), DIMENSION(:,:,:), POINTER ::  to_be_resorted  !< points to array which needs to be resorted for output
@@ -11918,20 +11921,20 @@
        WRITE ( 14 )  rad_net_av
     ENDIF
-    
+
     IF ( ALLOCATED( rad_lw_in_xy_av ) )  THEN
        CALL wrd_write_string( 'rad_lw_in_xy_av' )
        WRITE ( 14 )  rad_lw_in_xy_av
     ENDIF
-    
+
     IF ( ALLOCATED( rad_lw_out_xy_av ) )  THEN
        CALL wrd_write_string( 'rad_lw_out_xy_av' )
        WRITE ( 14 )  rad_lw_out_xy_av
     ENDIF
-    
+
     IF ( ALLOCATED( rad_sw_in_xy_av ) )  THEN
        CALL wrd_write_string( 'rad_sw_in_xy_av' )
        WRITE ( 14 )  rad_sw_in_xy_av
     ENDIF
-    
+
     IF ( ALLOCATED( rad_sw_out_xy_av ) )  THEN
        CALL wrd_write_string( 'rad_sw_out_xy_av' )
@@ -12030,12 +12033,12 @@
                                 nxr_on_file, nynf, nync, nyn_on_file, nysf,    &
                                 nysc, nys_on_file, tmp_2d, tmp_3d, found )
- 
+
 
     USE control_parameters
-        
+
     USE indices
-    
+
     USE kinds
-    
+
     USE pegrid
 
@@ -12043,25 +12046,25 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  k               !< 
-    INTEGER(iwp) ::  nxlc            !< 
-    INTEGER(iwp) ::  nxlf            !< 
-    INTEGER(iwp) ::  nxl_on_file     !< 
-    INTEGER(iwp) ::  nxrc            !< 
-    INTEGER(iwp) ::  nxrf            !< 
-    INTEGER(iwp) ::  nxr_on_file     !< 
-    INTEGER(iwp) ::  nync            !< 
-    INTEGER(iwp) ::  nynf            !< 
-    INTEGER(iwp) ::  nyn_on_file     !< 
-    INTEGER(iwp) ::  nysc            !< 
-    INTEGER(iwp) ::  nysf            !< 
-    INTEGER(iwp) ::  nys_on_file     !< 
+    INTEGER(iwp) ::  k               !<
+    INTEGER(iwp) ::  nxlc            !<
+    INTEGER(iwp) ::  nxlf            !<
+    INTEGER(iwp) ::  nxl_on_file     !<
+    INTEGER(iwp) ::  nxrc            !<
+    INTEGER(iwp) ::  nxrf            !<
+    INTEGER(iwp) ::  nxr_on_file     !<
+    INTEGER(iwp) ::  nync            !<
+    INTEGER(iwp) ::  nynf            !<
+    INTEGER(iwp) ::  nyn_on_file     !<
+    INTEGER(iwp) ::  nysc            !<
+    INTEGER(iwp) ::  nysf            !<
+    INTEGER(iwp) ::  nys_on_file     !<
 
     LOGICAL, INTENT(OUT)  :: found
 
-    REAL(wp), DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_2d   !< 
-
-    REAL(wp), DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d   !< 
-
-    REAL(wp), DIMENSION(0:0,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d2   !< 
+    REAL(wp), DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_2d   !<
+
+    REAL(wp), DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d   !<
+
+    REAL(wp), DIMENSION(0:0,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d2   !<
 
 
@@ -12074,41 +12077,41 @@
           IF ( .NOT. ALLOCATED( rad_net_av ) )  THEN
              ALLOCATE( rad_net_av(nysg:nyng,nxlg:nxrg) )
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  READ ( 13 )  tmp_2d
           rad_net_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =           &
                         tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                        
+
        CASE ( 'rad_lw_in_xy_av' )
           IF ( .NOT. ALLOCATED( rad_lw_in_xy_av ) )  THEN
              ALLOCATE( rad_lw_in_xy_av(nysg:nyng,nxlg:nxrg) )
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  READ ( 13 )  tmp_2d
           rad_lw_in_xy_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =      &
                         tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                        
+
        CASE ( 'rad_lw_out_xy_av' )
           IF ( .NOT. ALLOCATED( rad_lw_out_xy_av ) )  THEN
              ALLOCATE( rad_lw_out_xy_av(nysg:nyng,nxlg:nxrg) )
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  READ ( 13 )  tmp_2d
           rad_lw_out_xy_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =     &
                         tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                        
+
        CASE ( 'rad_sw_in_xy_av' )
           IF ( .NOT. ALLOCATED( rad_sw_in_xy_av ) )  THEN
              ALLOCATE( rad_sw_in_xy_av(nysg:nyng,nxlg:nxrg) )
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  READ ( 13 )  tmp_2d
           rad_sw_in_xy_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =      &
                         tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                        
+
        CASE ( 'rad_sw_out_xy_av' )
           IF ( .NOT. ALLOCATED( rad_sw_out_xy_av ) )  THEN
              ALLOCATE( rad_sw_out_xy_av(nysg:nyng,nxlg:nxrg) )
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  READ ( 13 )  tmp_2d
           rad_sw_out_xy_av(nysc-nbgp:nync+nbgp,nxlc-nbgp:nxrc+nbgp)  =     &
                         tmp_2d(nysf-nbgp:nynf+nbgp,nxlf-nbgp:nxrf+nbgp)
-                        
+
        CASE ( 'rad_lw_in' )
           IF ( .NOT. ALLOCATED( rad_lw_in ) )  THEN
@@ -12120,5 +12123,5 @@
                 ALLOCATE( rad_lw_in(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
              ENDIF
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  THEN
              IF ( radiation_scheme == 'clear-sky'  .OR.                    &
@@ -12144,5 +12147,5 @@
                 ALLOCATE( rad_lw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
              ENDIF
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  THEN
              IF ( radiation_scheme == 'clear-sky'  .OR.                    &
@@ -12168,5 +12171,5 @@
                 ALLOCATE( rad_lw_out(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
              ENDIF
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  THEN
              IF ( radiation_scheme == 'clear-sky'  .OR.                    &
@@ -12192,5 +12195,5 @@
                 ALLOCATE( rad_lw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
              ENDIF
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  THEN
              IF ( radiation_scheme == 'clear-sky'  .OR.                    &
@@ -12248,5 +12251,5 @@
                 ALLOCATE( rad_sw_in(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
              ENDIF
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  THEN
              IF ( radiation_scheme == 'clear-sky'  .OR.                    &
@@ -12272,5 +12275,5 @@
                 ALLOCATE( rad_sw_in_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
              ENDIF
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  THEN
              IF ( radiation_scheme == 'clear-sky'  .OR.                    &
@@ -12296,5 +12299,5 @@
                 ALLOCATE( rad_sw_out(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
              ENDIF
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  THEN
              IF ( radiation_scheme == 'clear-sky'  .OR.                    &
@@ -12320,5 +12323,5 @@
                 ALLOCATE( rad_sw_out_av(nzb:nzt+1,nysg:nyng,nxlg:nxrg) )
              ENDIF
-          ENDIF  
+          ENDIF
           IF ( k == 1 )  THEN
              IF ( radiation_scheme == 'clear-sky'  .OR.                    &
